Subject: Re: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Lennart Borgman <[email-masked]>
Date: Sun, 17 Jan 2010 17:58:48 +0100

On Sun, Jan 17, 2010 at 5:54 PM, Michael Albinus <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> The problem is in file-name-handler-alist. Removing
>> tramp-completion-file-name-handler makes the error go away. But
>> unfortunately that is not TRTTD...
>>
>> Here is the command to remove it:
>>
>> (setq file-name-handler-alist
>>       (delete '("\\`\\([a-zA-Z]:\\)?/[^/]*\\'" .
>> tramp-completion-file-name-handler)
>>             file-name-handler-alist))
>
> I will check it. Usually, I do not run W32 machines; it may take a
> couple of days until I'm able to do it.
>
> Best regards, Michael.

That sounds very nice, but why do you need a w32 machine? The file
name regexp above simply matches a file at the top of a w32 drive.
They look like (in Emacs file syntax) like "c:/file.txt". What more do
you need to know?